%define fontname rachana
%define fontdir %{_datadir}/fonts/malayalam

Name: %{fontname}-font
Version: 0.100
Release: 4%{?dist}
License: GPLv2+
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: User Interface/X
Summary: Rachana free true type font
URL: http://suruma.sarovar.org/
Provides: fonts-malayalam
Conflicts: lohit-fonts-malayalam
 
%description
This package contains Rachana free true type font 
The font is contributed by Rachana Akshara Vedi and
Packaged by Rajeesh K Nambiar

%prep
%setup -q -n %{name}-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
#%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttf

%changelog
* Sat Jan 19 2008 Praveen A <pravi.a@gmail.com> - 0.100-4
- Now provides fonts-malayalam and conflicts lohit-fonts-malayalam
* Mon Dec 10 2007 Rajeesh K Nambiar <rajeeshknambiar@rgmail.com> - 0.100.fc9
- SPEC file and initial packaging
